Package com.zfabrik.resources

## Interface IResourceManager

- All Superinterfaces:
    `IResourceLookup`

      public interface IResourceManager
      extends IResourceLookup

  core manager of the resource management system. Lookups for single resources can be performed like this:

       IResourceManager.INSTANCE.lookup(<resource name>, <return type>);

  A namespace local lookup facility can be retrieved by a special lookup style, e.g.:

       IResourceManager.INSTANCE.lookup("com.zfabrik.components",IResourceLookup.class);

  Author:
    hb

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IResourceManager.initializer` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IResourceManager` | `INSTANCE` | Use as `IComponentsLookup.INSTANCE` to get the implementation of this interface.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `invalidate​(java.util.Collection<java.lang.String> invs)` | mass invalidation (locking resources on the way)
    `IResourceLookup` | `registerProvider​(java.lang.String namespace, IResourceProvider prov)` | register a provider for resources of a name space.
    `void` | `registerProviderBuilder​(IResourceProviderBuilder builder)` | register a `IResourceProviderBuilder`
    `void` | `unregisterProvider​(java.lang.String namespace, boolean forced)` | unregister a provider for resources of a name space.
    `void` | `unregisterProviderBuilder​(IResourceProviderBuilder builder)` | unregister the provider builder if present

    - ### Methods inherited from interface com.zfabrik.resources.IResourceLookup

      `list, lookup, lookup, query, query`

- - ### Field Detail

    - #### INSTANCE

          static final IResourceManager INSTANCE

      Use as `IComponentsLookup.INSTANCE` to get the implementation of this interface.

  - ### Method Detail

    - #### registerProvider

          IResourceLookup registerProvider​(java.lang.String namespace,
                                           IResourceProvider prov)

      register a provider for resources of a name space.
      Parameters:
        `namespace` -
        `prov` -
      Returns:
        A `IResourceLookup` instance for the registered provider

    - #### unregisterProvider

          void unregisterProvider​(java.lang.String namespace,
                                  boolean forced)

      unregister a provider for resources of a name space.

    - #### registerProviderBuilder

          void registerProviderBuilder​(IResourceProviderBuilder builder)

      register a `IResourceProviderBuilder`
      Parameters:
        `builder` -

    - #### unregisterProviderBuilder

          void unregisterProviderBuilder​(IResourceProviderBuilder builder)

      unregister the provider builder if present

    - #### invalidate

          int invalidate​(java.util.Collection<java.lang.String> invs)

      mass invalidation (locking resources on the way)